# POST /udio/submit/music

**Method**: `POST`
**Endpoint**: `/udio/submit/music`

**config.source.song\_id**

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

**context\_length**

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

**config.mode**

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
config.model = "precede"
song_section_start = 0
```

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
config.model = "precede"
song_section_start = 0.4
```

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
config.model = "continuation"
song_section_start = 0.4
```

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

```
config.model = "continuation"
song_section_start = 0.9
```

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
object
Example
{
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/udio/submit/music' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
code
string
Required
message
string
Required
data
string
Required
```

#### Example

```json
{
    "code": "success",
    "message": "",
    "data": "8b171b81-30c0-40a0-85de-627abad34eb6"
}
```
